﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using fichier1.Model;
using fichier1.Views;
using fichier1.Controllers;
using fichier1.Data;

namespace fichier1
{
    public partial class MainForm : Form, IObserver<Partie>
    {
        private Partie game;
        private IGameController ctrl;

        public MainForm(Partie partie)
        {
            InitializeComponent();
            
            this.AutoSize = true;
            this.AutoSizeMode = AutoSizeMode.GrowAndShrink;

            this.game = partie;
            this.ctrl = new GameController(this.game);
            this.game.Subscribe(this);

            this.game.init(5, 2);
        }

        public void OnCompleted()
        {
            this.Controls.Clear();
            this.Controls.Add(new ViewResultats(this.ctrl));
        }

        public void OnError(Exception error)
        {
            throw new NotImplementedException();
        }

        public void OnNext(Partie value)
        {
            Console.WriteLine("Next mot");
            this.Controls.Clear();
            this.Controls.Add(new ViewDecoupage(ctrl));
        }
    }
}
