﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using fichier1.Controllers;

namespace fichier1.Views
{
    public partial class CorrectionMot : UserControl
    {
        private IGameController ctrl;
        private int wordNb;

        public CorrectionMot(IGameController ctrl, int nb)
        {
            InitializeComponent();
            this.ctrl = ctrl;
            this.wordNb = nb;

            string[] mot = ctrl.getMot(wordNb);
            string[] correction = ctrl.getCorrection(wordNb);
            string[] definition = ctrl.getDef(wordNb);

            bool identitcal = true;
            int l = 0;
            for (int i = 0; i < mot.Length; i++)
            {
                if (identitcal) identitcal = (i < correction.Length && mot[i] == correction[i]);
                Label lbl = new Label();
                lbl.Text = mot[i];
                pnlMot.Controls.Add(lbl);
                lbl.Left = l;
                lbl.Width = lbl.Text.Length * 10;
                l += lbl.Text.Length * 10;
            }
            
            l = 0;
            int maxWidth = 0;
            for (int i = 0; i < correction.Length; i++)
            {
                if (identitcal) identitcal = (i < mot.Length && mot[i] == correction[i]);
                Label lbl = new Label();
                lbl.Text = correction[i];
                lbl.Font = new Font(Label.DefaultFont, FontStyle.Bold);
                pnlCorrection.Controls.Add(lbl);
                lbl.Top = l;
                lbl.Width = lbl.Text.Length * 10;
                if (lbl.Width > maxWidth) maxWidth = lbl.Width;
                l += 20;
            }
            l = 0;
            for (int i = 0; i < definition.Length; i++)
            {
                Label lblDesc = new Label();
                lblDesc.Text = ": " + definition[i];
                pnlCorrection.Controls.Add(lblDesc);
                lblDesc.Left = maxWidth;
                lblDesc.Top = l;
                lblDesc.AutoSize = true;
                l += 20;
            }

            if (identitcal)
            {
                pnlMot.BackColor = Color.LightGreen;
            }
            else
            {
                pnlMot.BackColor = Color.Pink;
            }
        }

    }
}
